=== debian/changelog ===
lua-lpty (1.0.1-4) unstable; urgency=medium

  * QA upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Thu, 09 Oct 2025 21:50:32 +0200

lua-lpty (1.0.1-3) unstable; urgency=medium

  * QA upload.
  * Point Vcs fields to Salsa
  * Secure URI in Homepage
  * Write watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * debian/not-installed to cope with dh_missing --fail-missing default

 -- Andreas Tille <tille@debian.org>  Mon, 25 Aug 2025 13:35:39 +0200

lua-lpty (1.0.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995511)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 08:43:33 -0300

lua-lpty (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870552).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 21:30:03 +0100

lua-lpty (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #719795)
  * Patch to fix test (used to fail if redirected)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 15 Aug 2013 15:00:29 +0200
