=== debian/watch ===
version=4

opts="mode=git, dversionmangle=auto" \
   https://codeberg.org/gnarz/lpty.git refs/tags/(?:rel|version)_@ANY_VERSION@
